---

# We have a handler so that vault-server can restart the server on a version
# upgrade.  Since there's no server running on pure vault-client setups, we
# don't actually need to restart vault - but Ansible requires us to have a
# handler defined.
# The use of Ansible 2.2+'s 'listen' is important, as it allows vault-server to
# define an *additional* (real) handler to be called; using the old-style
# name-based handlers means that only the first defined handler gets called.
- name: facade restart vault
  listen: restart vault
  debug:
    msg: Not restarting Vault because this is a facade task.
